summaryrefslogtreecommitdiffstats
path: root/hosts/jenkins/etc/pbuilder
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-07-27 14:31:57 +0200
committerHolger Levsen <holger@layer-acht.org>2015-07-27 14:31:57 +0200
commit315ead533e3d4e67ce3908a13ebe5b75ef9060c4 (patch)
treeb13a53cbace131ef2afedbd7697f724f9e674c0d /hosts/jenkins/etc/pbuilder
parent16a5099a82e9c12322e7bea561a5f43448b013d4 (diff)
downloadjenkins.debian.net-315ead533e3d4e67ce3908a13ebe5b75ef9060c4.tar.xz
move etc to hosts/jenkins/etc
Diffstat (limited to 'hosts/jenkins/etc/pbuilder')
-rwxr-xr-xhosts/jenkins/etc/pbuilder/rebuild-hooks/D01_modify_environment12
1 files changed, 12 insertions, 0 deletions
diff --git a/hosts/jenkins/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/jenkins/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..d9550045
--- /dev/null
+++ b/hosts/jenkins/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+export CAPTURE_ENVIRONMENT="I capture the environment"